Bug 216234 - comms/linpsk: fails to build with clang 4.0
Summary: comms/linpsk: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: hamradio
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-18 14:46 UTC by Jan Beich
Modified: 2017-02-05 19:02 UTC (History)
1 user (show)

See Also:


Attachments
proposed patch (2.33 KB, patch)
2017-01-22 12:10 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-18 14:46:52 UTC
crxdisplay.cpp:101:16: error: ordered comparison between pointer and zero ('Input *' and 'int')
    if ( Sound <= NULL )
         ~~~~~ ^  ~~~~

build log: http://sprunge.us/BKTH
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Tobias C. Berner freebsd_committer 2017-01-22 12:10:14 UTC
Created attachment 179210 [details]
proposed patch
Comment 2 commit-hook freebsd_committer 2017-02-05 18:59:17 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 18:58:00 UTC 2017
New revision: 433443
URL: https://svnweb.freebsd.org/changeset/ports/433443

Log:
  comms/linpsk: unbreak with clang 4.0

  crxdisplay.cpp:101:16: error: ordered comparison between pointer and zero ('Input *' and 'int')
      if ( Sound <= NULL )
           ~~~~~ ^  ~~~~

  PR:		216234
  Submitted by:	tcberner
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/comms/linpsk/Makefile
  head/comms/linpsk/files/patch-gui_crxdisplay.cpp
  head/comms/linpsk/files/patch-gui_linpsk.cpp
Comment 3 Jan Beich freebsd_committer 2017-02-05 19:02:20 UTC
Thanks. Landed.